<%-
  # Base template:
  # haml-rails/lib/generators/haml/scaffold/templates/edit.html.haml

  # Custom vars from available generator methods/instance vars:
  # i.e.: post (without namespace)
  singular_table_name_only = file_name
  # i.e: member_posts_path
  path_method_to_all = index_helper(type: :path)
  # i.e: member_post_path(@post)
  path_method_to_one = show_helper("@#{singular_table_name_only}", type: :path)
-%>
- @page_title = t('.title')

= render 'layouts/page_actions', back_url: <%= path_method_to_all %>,
                                 show_url: <%= path_method_to_one %>,
                                 destroy_url: <%= path_method_to_one %>

= render 'form', <%= singular_table_name_only %>: @<%= singular_table_name_only %>
